% \usepackage[usenames,dvipsnames]{pstricks}
% \usepackage{epsfig}
% \usepackage{pst-grad} % For gradients
% \usepackage{pst-plot} % For axes
% \usepackage[space]{grffile} % For spaces in paths
% \usepackage{etoolbox} % For spaces in paths
% \makeatletter % For spaces in paths
% \patchcmd\Gread@eps{\@inputcheck#1 }{\@inputcheck"#1"\relax}{}{}
% \makeatother
% % User Packages:
% 
% 

\psscalebox{1.0 1.0} % Change this value to rescale the drawing.
{
\begin{pspicture}(0,-8.971666)(17.453722,8.971666)
\definecolor{colour0}{rgb}{0.99607843,0.99607843,0.99607843}
\definecolor{colour1}{rgb}{0.0,0.03529412,1.0}
\psframe[linecolor=black, linewidth=0.04, fillstyle=solid,fillcolor=colour0, dimen=outer, framearc=0.55](8.863056,7.6516666)(0.8630562,-1.1483333)
\psframe[linecolor=black, linewidth=0.04, fillstyle=crosshatch, hatchwidth=0.028222222, hatchangle=0.0, hatchsep=0.1411111, dimen=outer, framearc=0.4](7.6630564,8.971666)(2.0630562,7.7716665)
\psframe[linecolor=black, linewidth=0.04, fillstyle=crosshatch, hatchwidth=0.028222222, hatchangle=0.0, hatchsep=0.1411111, dimen=outer, framearc=0.4](7.583056,-1.2483333)(1.9830562,-2.4483333)
\psdots[linecolor=black, dotstyle=+, dotsize=0.4](4.874338,8.355256)
\psdots[linecolor=black, dotstyle=+, dotsize=0.4](4.766646,-1.8191025)
\psline[linecolor=colour1, linewidth=0.066, arrowsize=0.05291667cm 2.41,arrowlength=1.63,arrowinset=0.0]{->}(4.7430563,-1.8083333)(8.969682,-1.7918116)
\psline[linecolor=colour1, linewidth=0.072, arrowsize=0.05291667cm 2.41,arrowlength=1.63,arrowinset=0.0]{->}(4.9343605,8.339493)(15.441802,8.356014)
\psline[linecolor=black, linewidth=0.04, linestyle=dotted, dotsep=0.10583334cm](4.898056,8.361667)(4.648056,-8.763333)
\psline[linecolor=black, linewidth=0.04, linestyle=dotted, dotsep=0.10583334cm](4.623056,-8.8133335)(15.523056,8.461667)
\psdots[linecolor=black, dotstyle=x, dotsize=0.4](4.6333127,-8.685769)
\rput[bl](12.950834,7.183889){\huge $V_g$}
\rput[bl](7.728612,-2.7494445){\huge $V_d$}
\rput[bl](5.195278,-8.971666){\huge $C$}

\only<2-4>{
    \psarc[linecolor=black, linewidth=0.04, linestyle=dashed, dash=0.17638889cm 0.10583334cm, dimen=outer](4.384167,-8.771667){12.366667}{2.8041778}{110.728645}
    \psdots[linecolor=black, dotsize=0.4](4.7952785,3.5616667)
    \rput[bl](4.039723,2.4727778){\huge $G$}
}
\only<3->{
    \psdots[linecolor=black, dotsize=0.4](8.839723,3.4283333)
    \psarc[linecolor=black, linewidth=0.028, linestyle=dashed, dash=0.17638889cm 0.10583334cm, dimen=outer](4.617501,-8.660556){12.822222}{0.0}{110.68723}
    \rput[bl](9.106389,3.4283333){\huge $A$}
    \psline[linecolor=red, linewidth=0.066, arrowsize=0.05291667cm 2.41,arrowlength=1.63,arrowinset=0.0]{->}(8.907863,3.4452944)(16.140589,0.24042563)
    \rput[bl](12.798834,1.8958889){\huge $V_a$}
}
\end{pspicture}
}
